EDIT - bug #5063
Fix CoL import (split in parts++)
07/06/2015 03:51 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 3.8

Severity: normal Found in Version:

Description

Currently the import is failing to import the hierarchy. Also performance is very bad, so we may want to improve the import by
e splitting it into parts
e remove auditing and other features which may not be needed for the CoL #6880

® also see other open issues like #3210

Splitting into parts may include
¢ using database based mapping instead of in-memory mapping

¢ splitting taxon relationship import into synonym relationship, higher taxon rank relationships and lower taxon rank relationships
imports

Related issues:
Related to EDIT - feature request #6880: Allow removing auditing from imports Closed

History

#1 - 07/06/2015 03:59 PM - Andreas Miiller
Some first implementation handling DB based mapping and configurator for splitted import (not yet ready): [24713:24714]

#2 - 07/13/2015 01:52 PM - Andreas Miiller

- Target version changed from Release 3.7 to Release 3.8

#3 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#4 - 10/26/2015 01:31 PM - Andreas Miiller

Possibility for splitted import is mostly implemented now and the latest import was using it.

However, we should still work on the auditing issue

#5 - 10/26/2015 01:35 PM - Andreas Miuller

- Target version changed from Release 3.12 to Reviewed Next Major Release

#7 - 08/02/2017 01:33 PM - Andreas Miiller
- Tags set to col

- Description updated

#8 - 08/02/2017 07:01 PM - Andreas Miiller
- Private changed from Yes to No

#9 - 08/02/2017 09:12 PM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Reviewed Next Major Release to Release 4.10

#10 - 08/03/2017 12:48 PM - Andreas Miiller

- Description updated

#11 - 08/03/2017 12:49 PM - Andreas Miiller

- Related to feature request #6880: Allow removing auditing from imports added

#12 - 08/03/2017 12:49 PM - Andreas Miiller
- Subject changed from Fix CoL import to Fix CoL import (split in parts++)

#13 - 08/03/2017 12:51 PM - Andreas Miiller

- Status changed from In Progress to Closed

auditing issue was moved to new ticket

#14 - 08/03/2017 12:52 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 3.8

#15 - 08/03/2017 12:54 PM - Andreas Miiller
- % Done changed from 0 to 100
